#ifndef _G2C3G_T_
#define _G2C3G_T_

#include "stdint.h"

#ifndef _G2C3G_H_

#define g2c3g_obj_t const uint8_t* 

// Operator cfg structure
typedef struct
{
    char apn[ 50 ];
    char username[ 50 ];
    char password[ 50 ];

}g2c3g_operator_t;

// Broker(device) cfg structure
typedef struct
{
    char key[ 50 ];
    char password[ 50 ];

} g2c3g_broker_t;

// Actuator switch type
typedef uint8_t g2c3g_actuator_sw_t;

// Actuator counter type
typedef int16_t g2c3g_actuator_cnt_t;

// Actuator string type
typedef char g2c3g_actuator_str_t;

// Parser error type
typedef uint8_t g2c3g_error_t;

#endif
#endif